//---------------------------------------------------------------------------
#ifndef cl_structH
#define cl_structH
//---------------------------------------------------------------------------

#include <windows.h>

typedef struct {

 int structSize;		//wielko struktury w bajtach

 char *ContactID;
 char *ProtocolID;

 char *FullID;
 char *User;
 char *Server;
 char *Resource;

 int Flags;

 void *OwnerData;

} ContactDef;

typedef struct {

 int structSize;		//wielko struktury w bajtach

 ContactDef *contacts;
 int count;

} ContactsListDef;

typedef int (*ct_init_type) (ContactDef *ct);
typedef int (*ct_free_type) (ContactDef *ct);
typedef int (*ct_copy_type) (ContactDef *dest, ContactDef *source);
typedef int (*cl_init_type) (ContactsListDef *cl);
typedef int (*cl_add_type)  (ContactsListDef *cl, ContactDef *ct);
typedef int (*cl_copy_type) (ContactsListDef *dest, ContactsListDef *source);
typedef int (*cl_free_type) (ContactsListDef *cl);

#endif
